% function to decode HMMs
%
% inputs:
% feats_a: input features (cell)
% model1_a: model for class 1
% model2_a: model for class 1
% penalties_a: how much we add to LL for eac class?
%
% output:
% decoded: vecotr of actual decoded labels
%
% LL : loglikelihoods
%
function [decoded,LL]=decodeHMM(feats_a,model1_a,model2_a,penalties_a)
for i=1:length(feats_a)
    L1=mhmm_logprob(feats_a{i}, model1_a.prior, model1_a.transmat, model1_a.mu, model1_a.Sigma,model1_a.mixmat);
    L2=mhmm_logprob(feats_a{i}, model2_a.prior, model2_a.transmat, model2_a.mu, model2_a.Sigma,model2_a.mixmat);
    if L1 + penalties_a(1) > L2 + penalties_a(2)
        decoded(i) = 1;
    else
        decoded(i) = 2;
    end
    LL(i,:)=[L1 L2];
end